Subject: Re: [PATCH] [2.4] forcedeth network driver

From: Carl-Daniel Hailfinger <[email-masked]>
Date: Sat, 24 Jan 2004 23:33:27 +0100

Vojtech Pavlik wrote:
> On Sat, Jan 24, 2004 at 03:21:26PM -0500, Jeff Garzik wrote:
> 
>>>>>+static int alloc_rx(struct net_device *dev)
>>>>>+{
>>>
>>>[snip]
>>>
>>>>>+    return 0;
>>>>>+}
>>>>
>>>>skb_reserve() seems to be missing
>>>>
>>>
>>>Do you have specs that show that all nForce versions support unaligned 
>>>buffers? skb_reserve is a performance feature, I don't want to add it 
>>>yet. Testing that it works is on our TODO list.
>>
>>hmmmm, is nForce ever found on non-x86 boxes?  I would think that 
>>skb_reserve might be -required- for some platforms.
> 
> 
> AMD64 and PPC64 as far as I know. But you may consider the first one
> still a x86 box.

Hmmm. I thought only GeForce graphics were available on PPC64 and nForce
mainboard chipsets (including the onboard nic) were not.

Carl-Daniel
-- 
http://www.hailfinger.org/